Subject: Standard Thai character names - FYI

From: [email-masked]
Date: Thu, 14 Mar 91 13:11:24 PST

Sawatdee Krub,

I don't know if there is any interest on "standard" Thai character names
here or not.  I forward it just in case anyone may feel it is useful.

This is supposed to be used in computer application development and in
local/international standards areana. Character name constants (e.g. C
header file) will be developed from this table, and will be finalized later
on.

Character values reflect those of TIS 620-2529 (Thai Industrial Standard
number 620, Buddhist Era 2529 -- the national standard character set).
English alphabets/digits/symbols as well as control codes are located at
positions exactly the same as US ASCII (or ISO 646) -- that is 00-7F. TIS
620-2529 extends ISO 646 to build the Thai/English bilingual 8-bit character
environment.

For ISO/IEC DIS 10646 (Universal Character Set), Thai is located in Plane
32, Group 32, right half of Row 158. Column values are exactly the same as
those mentioned in the table below.

For Unicode 1.0 draft, Thai is located in the range of 0EA0-0E5F. Layout for
code points looks the same as TIS 620-2529 but there might be some changes
in string encoding and/or character values. This is yet to be finalized.

If you don't know what I'm talking about, don't feel guilty to delete this
message :)

Have fun,
Trin
----
Trin Tantsetthi                           [email-masked]
Digital Equipment (Thailand), Ltd.        ...!decwrl!tlaeng.enet!trin

- ------- forwarded message
(I'm the author, so I don't have to ask for anyone's permission)

Technical Committee 536 of the Thai Industrial Standards Institute, Ministry
of Industry (the committee on Information technology for the Thai standard 
body) has made a final resolution on Thai character names. These names are 
now set in accordance with Annex F (character naming convention) of ISO/IEC 
DIS 10646.

TISI will send the list of revised names to ISO and Unicode Consortium for
inclusion into ISO 10646 and Unicode 1.0, respectively.

These character names will be used in the (Wototo) Common Specification for
Thai Software Development.

Note: The (Wototo) Common Specification is likely to be adopted as a TIS 
      standard later on. The spec covers all major aspects of Thai
      processing on computer; including keyboard behavior (input method),
      display behavior, character code for interchange, display code,
      (backstore) string encoding, API services and RTLs, remote display
      facility, etc.

Value	Dec	Hex	Character Name

10/1  	161 	A1 	THAI CONSONANT KO KAI
10/2  	162 	A2 	THAI CONSONANT KHO KHAI
10/3  	163 	A3 	THAI CONSONANT KHO KWAUT
10/4  	164 	A4 	THAI CONSONANT KHO KHWAI
10/5  	165 	A5 	THAI CONSONANT KHO KHON
10/6  	166 	A6 	THAI CONSONANT KHO RAKHANG
10/7  	167 	A7 	THAI CONSONANT NGO NGU
10/8  	168 	A8 	THAI CONSONANT CHO CHAN
10/9  	169 	A9 	THAI CONSONANT CHO CHING
10/10 	170 	AA 	THAI CONSONANT CHO CHANG
10/11 	171 	AB 	THAI CONSONANT SO SO
10/12 	172 	AC 	THAI CONSONANT CHO CHOE
10/13 	173 	AD 	THAI CONSONANT YO YING
10/14 	174 	AE 	THAI CONSONANT DO CHADA
10/15 	175 	AF 	THAI CONSONANT TO PATAK
11/0  	176 	B0 	THAI CONSONANT THO THAN
11/1  	177 	B1 	THAI CONSONANT THO NANGMONTHO
11/2  	178 	B2 	THAI CONSONANT THO PHUTHAO
11/3  	179 	B3 	THAI CONSONANT NO NEN
11/4  	180 	B4 	THAI CONSONANT DO DEK
11/5  	181 	B5 	THAI CONSONANT TO TAO
11/6  	182 	B6 	THAI CONSONANT THO THUNG
11/7  	183 	B7 	THAI CONSONANT THO THAHAN
11/8  	184 	B8 	THAI CONSONANT THO THONG
11/9  	185 	B9 	THAI CONSONANT NO NU
11/10 	186 	BA 	THAI CONSONANT BO BAIMAI
11/11 	187 	BB 	THAI CONSONANT PO PLA
11/12 	188 	BC 	THAI CONSONANT PHO PHUNG
11/13 	189 	BD 	THAI CONSONANT FO FA
11/14 	190 	BE 	THAI CONSONANT PHO PHAN
11/15 	191 	BF 	THAI CONSONANT FO FAN
12/0  	192 	C0 	THAI CONSONANT PHO SAMPHAO
12/1  	193 	C1 	THAI CONSONANT MO MA
12/2  	194 	C2 	THAI CONSONANT YO YAK
12/3  	195 	C3 	THAI CONSONANT RO RUA
12/4  	196 	C4 	THAI VOWEL RU
12/5  	197 	C5 	THAI CONSONANT LO LING
12/6  	198 	C6 	THAI VOWEL LU
12/7  	199 	C7 	THAI CONSONANT WO WAEN
12/8  	200 	C8 	THAI CONSONANT SO SALA
12/9  	201 	C9 	THAI CONSONANT SO RUSI
12/10 	202 	CA 	THAI CONSONANT SO SUA
12/11 	203 	CB 	THAI CONSONANT HO HIP
12/12 	204 	CC 	THAI CONSONANT LO CHULA
12/13 	205 	CD 	THAI CONSONANT O ANG
12/14 	206 	CE 	THAI CONSONANT HO NOKHUK
12/15 	207 	CF 	THAI SPECIAL SYMBOL PAI YAN NOI
13/0  	208 	D0 	THAI VOWEL SARA A
13/1  	209 	D1 	THAI VOWEL MAI HUN-AKAT
13/2  	210 	D2 	THAI VOWEL SARA AA
13/3  	211 	D3 	THAI VOWEL SARA AM
13/4  	212 	D4 	THAI VOWEL SARA I
13/5  	213 	D5 	THAI VOWEL SARA II
13/6  	214 	D6 	THAI VOWEL SARA UE
13/7  	215 	D7 	THAI VOWEL SARA UEE
13/8  	216 	D8 	THAI VOWEL SARA U
13/9  	217 	D9 	THAI VOWEL SARA UU
13/10 	218 	DA 	THAI VOWEL PHINTHU
13/11	219	DB	(This position will not be used)
13/12	220	DC	(This position will not be used)
13/13	221	DD	(This position will not be used)
13/14	222	DE	(This position will not be used)
13/15 	223 	DF 	THAI CURRENCY BAHT
14/0  	224 	E0 	THAI VOWEL SARA E
14/1  	225 	E1 	THAI VOWEL SARA AE
14/2  	226 	E2 	THAI VOWEL SARA O
14/3  	227 	E3 	THAI VOWEL SARA AI MAI MUAN
14/4  	228 	E4 	THAI VOWEL SARA AI MAI MALAI
14/5  	229 	E5 	THAI LAK KHANG YAO
14/6  	230 	E6 	THAI SPECIAL SYMBOL MAI YAMOK
14/7  	231 	E7 	THAI VOWEL MAI TAI KHU
14/8  	232 	E8 	THAI TONE MARK MAI EK
14/9  	233 	E9 	THAI TONE MARK MAI THO
14/10 	234 	EA 	THAI TONE MARK MAI TRI
14/11 	235 	EB 	THAI TONE MARK MAI CHATTAWA
14/12 	236 	EC 	THAI CANCELLATION MARK THANTHAKHAT
14/13 	237 	ED 	THAI SPECIAL SYMBOL NIKHAHIT
14/14 	238 	EE 	THAI SPECIAL SYMBOL YAMAKKAN
14/15 	239 	EF 	THAI SPECIAL SYMBOL FONGMAN
15/0  	240 	F0 	THAI DIGIT ZERO
15/1  	241 	F1 	THAI DIGIT ONE
15/2  	242 	F2 	THAI DIGIT TWO
15/3  	243 	F3 	THAI DIGIT THREE
15/4  	244 	F4 	THAI DIGIT FOUR
15/5  	245 	F5 	THAI DIGIT FIVE
15/6  	246 	F6 	THAI DIGIT SIX
15/7  	247 	F7 	THAI DIGIT SEVEN
15/8  	248 	F8 	THAI DIGIT EIGHT
15/9  	249 	F9 	THAI DIGIT NINE
15/10 	250 	FA 	THAI SPECIAL SYMBOL ANGKHANKHU
15/11 	251 	FB 	THAI SPECIAL SYMBOL KHOMUT
15/12	252	FC	(This position will not be used)
15/13	253	FD	(This position will not be used)
15/14	254	FE	(This position will not be used)
15/15 	255 	FF      (This position will not be used)